org.apache.http.auth

## Interface ContextAwareAuthScheme

- All Superinterfaces:
    AuthScheme
  All Known Implementing Classes:
    AuthSchemeBase, BasicScheme, DigestScheme, GGSSchemeBase, KerberosScheme, NegotiateScheme, NTLMScheme, RFC2617Scheme, SPNegoScheme, WindowsNegotiateScheme

      public interface ContextAwareAuthScheme
      extends AuthScheme

  This interface represents an extended authentication scheme that requires access to `HttpContext` in order to generate an authorization string. TODO: Fix AuthScheme interface in the next major version
  Since:
    4.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.http.Header` | `authenticate(Credentials credentials, org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` Produces an authorization string for the given set of `Credentials`.

    - ### Methods inherited from interface org.apache.http.auth.AuthScheme

      `authenticate, getParameter, getRealm, getSchemeName, isComplete, isConnectionBased, processChallenge`

- - ### Method Detail

    - #### authenticate

          org.apache.http.Header authenticate(Credentials credentials,
                                            org.apache.http.HttpRequest request,
                                            org.apache.http.protocol.HttpContext context)
                                              throws AuthenticationException

      Produces an authorization string for the given set of `Credentials`.
      Parameters:
        `credentials` - The set of credentials to be used for athentication
        `request` - The request being authenticated
        `context` - HTTP context
      Returns:
        the authorization string
      Throws:
        `AuthenticationException` - if authorization string cannot be generated due to an authentication failure

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.